Page MenuHomePhabricator

Remove wikibugs-l@ as default assignee from imported Bugzilla tickets
Closed, ResolvedPublic

Description

Splitting off from T496:

So I was looking at the migration code.
As we hadn't set up any mailing lists in the Bugzilla preview instance before importing Bugzilla tickets I didn't realize that the import script will also restore these mailing lists as task assignees in Phab.

Bugzilla uses the wikibugs-l@ mailing list as (default) assignee for many components because Bugzilla does not allow having no assignee set for a task.
Having non-human assignees in Phab on 48000 out of our 73000 Bugzilla tickets feels "suboptimal" as having no assignee set communicates way clearer that nobody is working on a task.

Wondering whether to handle this special case: If assignee is "wikibugs-l@" (44500 tickets, 11200 of them open) and the ticket is in an open status, keep the assignee field empty.

Guess I should also talk to Pywikibot (800 tickets, 440 of them open) and Wikidata (2850 tickets, 650 of them open), but we could also mass-remove their mailing list default assignees from open tickets in Phab after having migrated from Bugzilla as those numbers are way smaller.

if we (cough, rather you) could make the script check whether the assignee is wikibugs-l@lwo and at least for open tickets remove that assignee and leave the Assignee field empty instead: That would be pretty awesome.

No idea if we can check the ticket status at that stage and if that's better or worse performance-wise...

We have those four mailing lists defined in https://git.wikimedia.org/blob/phabricator%2Ftools.git/4d573d99b5e7151be357c85d624ffcc0268b5e3a/data%2Fbugzilla.yaml and Chase said that we can simply NOT assign tasks to these accounts (rough summary).

Details

Commits
Unknown Object (Diffusion Commit)

Event Timeline

Aklapper created this task.Nov 5 2014, 8:55 PM
Aklapper assigned this task to chasemp.
Aklapper raised the priority of this task from to Normal.
Aklapper updated the task description. (Show Details)
Aklapper added a project: Bugzilla-Preview.
Aklapper changed Security from none to None.
Aklapper added a subscriber: Aklapper.
Qgil added a subscriber: Qgil.Nov 6 2014, 12:08 AM

I guess it's the same effort to remove wikibugs-l only or to remove also the other mailing lists, so let's fix this problem for the four mailing lists (as the last line of the description suggests, but just in case). :)

Makes sense, but need to double check if email settings differ and what would be the output for the mailing list.

Nemo_bis: What would be "email settings" in this context?

53539

Bugs count: 1
->  ['wikibugs-l@lists.wikimedia.org', 'wikidata-bugs@lists.wikimedia.org', 'Pywikipedia-bugs@lists.wikimedia.org', 'tools-nlwikibots@lists.wikimedia.org']
->  {u'whiteboard': u'', u'classification': u'Unclassified', u'creator': u'maxsem.wiki@gmail.com', u'cc': [u'arichards@wikimedia.org', u'jrobson@wikimedia.org', u'maxsem.wiki@gmail.com'], u'depends_on': [], u'cf_platform': u'---', u'is_open': True, u'keywords': [], u'cf_browser': u'---', u'id': 53539, u'severity': u'major', u'is_confirmed': True, u'is_creator_accessible': True, u'priority': u'High', u'platform': u'All', u'version': u'master', u'see_also': [], u'status': u'ASSIGNED', u'product': u'MediaWiki extensions', u'blocks': [], u'qa_contact': u'', u'creation_time': u'1377787560.0', u'component': u'GeoData', u'groups': [], u'target_milestone': u'---', u'is_cc_accessible': True, u'url': u'', u'cf_hugglebeta': u'---', u'summary': u'Duplicate primary tags', u'op_sys': u'All', u'flags': [], u'assigned_to': u'wikibugs-l@lists.wikimedia.org', u'update_token': u'1415632151-BD28vMci1_fHxm_VfDgKRDBRWyi4Oj1zHPR1gFp2U1Q', u'resolution': u'', u'last_change_time': u'1384788289.0'}
->  skipping 53539 assigned to wikibugs-l@lists.wikimedia.org
->  inserting new record
->  inserting new record
->  inserting new record
->  cc [53539]
./bugzilla_populate_user_relations_table.py completed 1, failed 0
chasemp closed this task as Resolved.Nov 10 2014, 3:24 PM
chasemp added a commit: Unknown Object (Diffusion Commit).

Closed by commit rPHTOOLS15d70264912d.